package com.bocloud.ims.entity.resource.hmc.params;

public class HmcPartitionCreateVGParams {

    private Long partitionId;

    private String publicIp;

    private String port;

    private String username;

    private String password;

    private String vgName;

    private String disks;

    private String vgType;

    private Long ppSize;

    public Long getPartitionId() {
        return partitionId;
    }

    public void setPartitionId(Long partitionId) {
        this.partitionId = partitionId;
    }

    public Long getPpSize() {
        return ppSize;
    }

    public void setPpSize(Long ppSize) {
        this.ppSize = ppSize;
    }

    public String getPublicIp() {
        return publicIp;
    }

    public void setPublicIp(String publicIp) {
        this.publicIp = publicIp;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getVgName() {
        return vgName;
    }

    public void setVgName(String vgName) {
        this.vgName = vgName;
    }

    public String getDisks() {
        return disks;
    }

    public void setDisks(String disks) {
        this.disks = disks;
    }

    public String getVgType() {
        return vgType;
    }

    public void setVgType(String vgType) {
        this.vgType = vgType;
    }
}
